---
title: 'XRSystem: ondevicechange'
slug: Web/API/XRSystem/ondevicechange
tags:
  - AR
  - Augmented Reality
  - Event Handler
  - Experimental
  - VR
  - Virtual Reality
  - WebXR
  - WebXR Device API
  - XR
  - XRSystem
  - ondevicechange
---
<div>{{securecontext_header}}{{APIRef("WebXR")}}</div>

<p class="summary">The <strong><code>ondevicechange</code></strong> property of the {{domxref("XRSystem")}} interface is passed a {{Event("devicechange")}} event whenever availability of an immersive device changes. The event that is fired is a "simple event" that implements the <a href="/en-US/docs/Web/API/Event" title="The Event interface represents an event which takes place in the DOM."><code>Event</code></a> interface. </p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">navigator.xr.ondevicechange = function(event) { ... };
</pre>

<h3 id="Value">Value</h3>

<p>{{jsxref('undefined')}}</p>

<h2 id="Example">Example</h2>

<pre class="brush: js">navigator.xr.ondevicechange = function(ev) {
  console.log("The availability of immersive XR devices has changed.")
};</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("WebXR","#dom-xrsystem-ondevicechange","ondevicechange ")}}</td>
   <td>{{Spec2("WebXR")}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>{{Compat("api.XRSystem.ondevicechange")}}</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{domxref("Event")}}</li>
</ul>
